<template>
  <v-app>
    <sidebar-nav v-model="drawer" :pages="pages" :pages_right="pages_right" />
    <appbar-nav
      :pages="pages"
      :pages_right="pages_right"
      @toggleDrawer="drawer = !drawer"
    />

    <v-main>
      <nuxt />
    </v-main>

    <v-footer app absolute>
      <span class="overline">Racing Club Sabre</span>

      <div class="flex-grow-1" />

      <v-btn x-small text nuxt exact to="/cgu">Mentions légales</v-btn>
    </v-footer>
  </v-app>
</template>

<script>
import { mdiMenuDown, mdiHome } from '@mdi/js'
import SidebarNav from '~/components/SidebarNav'
import AppbarNav from '~/components/AppbarNav'

export default {
  components: {
    SidebarNav,
    AppbarNav,
  },

  data: () => ({
    mdiMenuDown,

    drawer: false,
    pages: [
      {
        title: 'Racing Club Sabre',
        icon: mdiHome,
        to: '/',
        exact: true,
      },
      {
        title: 'Notre club',
        to: 'club',
        subpages: [
          {
            title: 'Les activités',
            to: 'activites',
          },
          {
            title: 'Les formations',
            to: 'formations',
          },
          {
            title: 'Son histoire',
            to: 'histoire',
          },
          {
            title: 'Son équipe',
            to: 'equipe',
          },
          {
            title: 'Ses partenaires',
            to: 'partenaires',
          },
        ],
      },
      {
        title: 'Infos pratiques',
        to: 'infos',
        subpages: [
          {
            title: "Les catégories d'âge",
            to: 'categories',
          },
          {
            title: 'Nos salles',
            to: 'salles',
          },
          {
            title: 'Nos horaires',
            to: 'horaires',
          },
          {
            title: 'Nos tarifs',
            to: 'tarifs',
          },
          {
            title: 'Notre règlement',
            to: 'reglement',
          },
          {
            title: 'Nous contacter',
            to: 'contact',
          },
        ],
      },
    ],

    pages_right: [
      {
        title: 'Adhérer au club',
        color: 'primary',
        to: 'inscription',
        subpages: [
          {
            title: "Fiche d'inscription",
            href: "/Fiche d'inscription 2024-2025.pdf",
          },
          {
            title: "Fiche sanitaire de liaison",
            href: "/Fiche sanitaire de liaison 2024-2025.pdf",
          },
          {
            title: 'Certificats médicaux',
            to: 'certificats',
          },
        ],
      },
    ],
  }),
}
</script>
